%define release_name "Punny Name, Serious Distro"
%define dist_version 2012

Summary:	Fuduntu release files
Name:		fuduntu-release
Version:	2012
Release:	1
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.fuduntu.org
Source:		%{name}-%{version}.tar.bz2

Obsoletes:	redhat-release
Obsoletes:	fedora-release

Provides:	redhat-release
Provides:	fedora-release
Provides:	system-release = %{version}-%{release}

Requires:	fuduntu-theme
Requires:	fuduntu-customizations

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Fuduntu release files such as yum configs and various /etc/ files that
define the release.

%package rawhide
Summary:        Rawhide repo definitions
Requires:       fuduntu-release = %{version}-%{release}
Requires:	fuduntu-theme
%description rawhide
This package provides repo definitions. Forked from Fedora-release.


%prep
%setup -q

%build

%post

### Import the Fuduntu Repo key if it isn't already imported
if ! rpm -q gpg-pubkey-42d68235-4eb5121d >/dev/null 2>&1; then
  rpm --import - <<FUDUNTUKEY
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)

mQGiBE61Eh0RBACuzoo869/d86piWeFj2XHhe4VZbyJWj5jiAHp+iajNxtG79Mkz
DJ6xU2h0FkjtThQkpwxAD+COnpbZCToeWMuEAzfpFJiolsw5VKedwEHxCrlA534R
DfusFRI0CbnVlMFdCj4jN7oN6qOVRtinMNzzPLdvNApoU4MSOde6qqwPawCgxyrt
bvsLoC4A5cyUaCIH9/acfCcD/iMIiu14t4LANToXGQK53TfpD6bGDznMWm2Es8Lk
RngF2VfisAsnVNF2xBp3A/yZc+zw0IWNbLYxxOd1L+4TDg42fp5xpR5JvYWLZrTn
jp1hQVnPnXAXqpvO4bH8MkKhvHkXwXLxnvT20LOWQa8bjCfMdwBGII9meRIhwMA5
DJVHA/47MGf/BCCVFhbU6yUfs4Z8v/f7JQFdPLDDZFLJJrHZRd15+E/HFbWgA1Ua
Kq+GAp5nO23QqcULYA8K7H8ibpmEXnnpz5o5inO76hoMKpwPPCvvQsLnSRQcwZut
mWli+nbR+1iJ/IBzVPQAKUJJ7SaUfpClgx5B3JWQejmiEkLXxLQzRnVkdW50dSBU
ZWFtIFBhY2thZ2UgU2lnbmluZyBLZXkgPHRlYW1AZnVkdW50dS5vcmc+iGgEExEC
ACgFAk61Eh0CGwMFCQPCZwAGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEDBF
qOtC1oI1kIgAoI+Gw3rv/pZnSNMcW7KfYs/B9atSAKC4GJbmHk3vmb5gIluLn7WB
66J9WQ==
=PfRp
-----END PGP PUBLIC KEY BLOCK-----
FUDUNTUKEY
fi

### Fuduntu 2012 release changes releasever making the variable
### incompatible with Fedora repositories, default it to
### Fedora 14 so users with custom repos don't find updates are
### broken..

for i in /etc/yum.repos.d/*
do
  if [[ ! "$i" =~ "fuduntu.repo" ]]; then
    sed -i -s "s#\$releasever#14#g" $i
  fi
done

if [ ! -d "/etc/default" ]; then
  mkdir -p /etc/default
fi


### The Dropbox repo is no longer compatible with Fuduntu
### Fix it to use Dropbox Fedora 15 repository

touch /etc/default/dropbox-repo

if [ ! -e "$DEFAULTS_FILE" ]; then
    YUM_REPO_FILE="/etc/yum.repos.d/dropbox.repo"

    if ! rpm -q gpg-pubkey-5044912e-4b7489b1 > /dev/null 2>&1 ;  then
      rpm --import - <<KEYDATA
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.9 (GNU/Linux)

mQENBEt0ibEBCACv4hZRPqwtpU6z8+BB5YZU1a3yjEvg2W68+a6hEwxtCa2U++4d
zQ+7EqaUq5ybQnwtbDdpFpsOi9x31J+PCpufPUfIG694/0rlEpmzl2GWzY8NqfdB
FGGm/SPSSwvKbeNcFMRLu5neo7W9kwvfMbGjHmvUbzBUVpCVKD0OEEf1q/Ii0Qce
kx9CMoLvWq7ZwNHEbNnij7ecnvwNlE2MxNsOSJj+hwZGK+tM19kuYGSKw4b5mR8I
yThlgiSLIfpSBh1n2KX+TDdk9GR+57TYvlRu6nTPu98P05IlrrCP+KF0hYZYOaMv
Qs9Rmc09tc/eoQlN0kkaBWw9Rv/dvLVc0aUXABEBAAG0MURyb3Bib3ggQXV0b21h
dGljIFNpZ25pbmcgS2V5IDxsaW51eEBkcm9wYm94LmNvbT6JATYEEwECACAFAkt0
ibECGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRD8kYszUESRLi/zB/wMscEa
15rS+0mIpsORknD7kawKwyda+LHdtZc0hD/73QGFINR2P23UTol/R4nyAFEuYNsF
0C4IAD6y4pL49eZ72IktPrr4H27Q9eXhNZfJhD7BvQMBx75L0F5gSQwuC7GdYNlw
SlCD0AAhQbi70VBwzeIgITBkMQcJIhLvllYo/AKD7Gv9huy4RLaIoSeofp+2Q0zU
HNPl/7zymOqu+5Oxe1ltuJT/kd/8hU+N5WNxJTSaOK0sF1/wWFM6rWd6XQUP03Vy
NosAevX5tBo++iD1WY2/lFVUJkvAvge2WFk3c6tAwZT/tKxspFy4M/tNbDKeyvr6
85XKJw9ei6GcOGHD
=5rWG
-----END PGP PUBLIC KEY BLOCK-----
KEYDATA
    fi
    if [ -d "/etc/yum.repos.d" ]; then
      cat > "$YUM_REPO_FILE" << REPOCONTENT
[Dropbox]
name=Dropbox Repository
baseurl=http://linux.dropbox.com/fedora/15/
gpgkey=http://linux.dropbox.com/fedora/rpm-public-key.asc
REPOCONTENT
    fi
  fi

%pre

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Fuduntu %{version} (Punny Name, Serious Distro)" > $RPM_BUILD_ROOT/etc/fedora-release
echo "cpe:/o:fuduntuproject:fuduntu:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
echo -e "Fuduntu (Punny Name, Serious Distro)" > $RPM_BUILD_ROOT/etc/issue
echo >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/fuduntu-release

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu-$arch
done
ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in f*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fuduntu		%{dist_version}
%%dist		.fu%{dist_version}
%%fu%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/fedora-release
/etc/redhat-release
/etc/system-release
/etc/fuduntu-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fuduntu.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Sat Dec 31 2011 Andrew Wyatt <andrew@fuduntu.org> - 2012-1
- Fuduntu 2012.1 release
- Move dropbox repository to Fuduntu Release for compatibility
- Update user repository definitions using $releasever to '14'

* Wed Nov 05 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.12-2
- Cycle package signing key

* Sun Oct 30 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11-3
- Clean up in preparation for the fork

* Tue Oct 18 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11-2
- Fix /etc/redhat-release

* Fri Sep 16 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11
- Quarterly snapshot
- Update Fedora repo definition to support rolling release

* Thu Aug 25 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.10.1
- Update Fuduntu repositories to support SourceForge's
  new FRS Yum support. Thanks again SF! :D

* Sun May 15 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.10
- Remove Likewise from requirements - move to welcome tool
- Rev to 14.10 - prep for release

* Sat Mar 19 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-1
- Reel in new nautilus elementary 2.32.2 package

* Thu Mar 01 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9
- Update to 14.9

* Thu Feb 10 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-4
- Update dependencies to allow removal of non-wanted software
* Wed Jan 19 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-3
- Re-add gnome-user-docs, gnome-color-manager, and shutter
* Sun Jan 16 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-2
- Add Nautilus scripts, and Ailurus. Re-adds tomboy with an icon.
* Wed Jan 12 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8.1
- Fix missing Fluendo, and Flash
* Thu Jan 06 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8
- Add fuduntu-likewise, kernel 2.6.37, and beesu
- Retire BFS and the cgroups hack
* Mon Jan 03 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- Added the following package(s): bluez-compat, Likewise Open
* Sat Dec 25 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Obsolete Totem (lots of bugs, and VLC works better)
* Fri Dec 24 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-5
- Reconfigure repositories to separate stable and testing, and SRPMS from RPMS
* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-4
- Cairo Freeworld causes some application libraries to fail, force its removal
* Tue Dec 21 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-3
- Add infinality freetype
* Sat Dec 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.1
- Require samba-client, crebs, dropbox, and preload
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Moved tweaks to independent package
* Mon Nov 29 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.6
- Move cgroups tweak to init
- bash color prompt was missing on install
- tmp -> RAM missing on install
* Fri Nov 19 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-14
- Append 2>/dev/null to CPU group tweak to remove errors when in live mode
* Thu Nov 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-13
- Change IO elevator to deadline on startup (Note: This will become default in the next kernel build)
- Configure CPU groups to improve response time
* Mon Nov 16 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.12
- Require Fuduntu theme RPM
* Thu Nov 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.9
- Update repository to point to SourceForge
- Update default homepage to www.fuduntu.org
* Sat Nov 07 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.8
- Initial release 
